Security Enhanced Linux Reference Policy

# Layer: services

## Module: rpc

Tunables Interfaces Templates

### Description:

Remote Procedure Call Daemon for managment of network based process communication

### Tunables:

allow_gssd_read_tmp

##### Default value

true

##### Description

Allow gssd to read temp directory. For access to kerberos tgt.

allow_nfsd_anon_write

##### Default value

false

##### Description

Allow nfs servers to modify public files used for public file transfer services. Files/Directories must be labeled public_content_rw_t.

Return

### Interfaces:

rpc_domtrans_nfsd( domain )

##### Summary

Execute domain in nfsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpc_domtrans_rpcd( domain )

##### Summary

Execute domain in nfsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpc_dontaudit_getattr_exports( domain )

##### Summary

Do not audit attempts to get the attributes of the NFS export file.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpc_manage_nfs_ro_content( domain )

##### Summary

Allow domain to create read and write NFS directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_manage_nfs_rw_content( domain )

##### Summary

Allow domain to create read and write NFS directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_manage_nfs_state_data( domain )

##### Summary

Manage NFS state data in /var/lib/nfs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_read_exports( domain )

##### Summary

Allow read access to exports.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpc_read_nfs_content( domain )

##### Summary

Read NFS exported content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_read_nfs_state_data( domain )

##### Summary

Read NFS state data in /var/lib/nfs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_search_nfs_state_data( domain )

##### Summary

Search NFS state data in /var/lib/nfs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_stub( domain )

##### Summary

RPC stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_udp_rw_nfs_sockets( domain )

##### Summary

Allow domain to read and write to an NFS UDP socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_udp_send( domain )

##### Summary

Send UDP network traffic to rpc and recieve UDP traffic from rpc. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpc_udp_send_nfs( domain )

##### Summary

Send UDP traffic to NFSd. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpc_write_exports( domain )

##### Summary

Allow write access to exports.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return

### Templates:

rpc_domain_template( userdomain_prefix )

##### Summary

The template to define a rpc domain.

##### Description

This template creates a domain to be used for a new rpc daemon.

##### Parameters

Parameter: | Description:
--- | ---
userdomain_prefix | The type of daemon to be used.

Return